cURL
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/documents \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b",
"frameworkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "EU AI Act -- Regulation (EU) 2024/1689",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"sections": [
{
"id": "2e4f6a8c-9b1d-4c3e-8f5a-7b9c0d1e2f3a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "Article 9",
"title": "Risk management system",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
],
"subsections": [
{
"id": "1d3f5a7b-8c9e-4b2d-9f6a-0c1e2d3f4a5b",
"sectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "9.2",
"title": "Identification of known and foreseeable risks",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
]
}
]
}
]
}
]
}{
"code": 123,
"error": "<string>"
}Governance
List a framework's documents
List the documents attached to a framework.
A document holds the text of the standard the framework is based on, split into sections and subsections. Retrieve a single document to get that structure, along with the rules mapped to each part of it.
cURL
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/documents \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b",
"frameworkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "EU AI Act -- Regulation (EU) 2024/1689",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"sections": [
{
"id": "2e4f6a8c-9b1d-4c3e-8f5a-7b9c0d1e2f3a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "Article 9",
"title": "Risk management system",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
],
"subsections": [
{
"id": "1d3f5a7b-8c9e-4b2d-9f6a-0c1e2d3f4a5b",
"sectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "9.2",
"title": "Identification of known and foreseeable risks",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
]
}
]
}
]
}
]
}{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The framework id.
Query Parameters
The page to return in a paginated query.
Required range:
x >= 1Maximum number of items to return per page.
Required range:
1 <= x <= 100Response
Status OK.
Show child attributes
Show child attributes
Was this page helpful?